Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.impl
Class ExtendedClassInfo

    java.lang.Object
      org.apache.logging.log4j.core.impl.ExtendedClassInfo

All Implemented Interfaces:
  Serializable

    public final class ExtendedClassInfo

extends Object
implements Serializable

Class and package data used with a `StackTraceElement` in a `ExtendedStackTraceElement`.

See Also:
  Serialized Form

Constructor Summary
`ExtendedClassInfo(boolean exact, String location, String version)` Constructs a new instance.

Method Summary
`boolean` | `equals(Object obj)`
`boolean` | `getExact()`
`String` | `getLocation()`
`String` | `getVersion()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtendedClassInfo

    public ExtendedClassInfo(boolean exact,
                             String location,
                             String version)

  Constructs a new instance.

  Parameters:
    `exact` -
    `location` -
    `version` -

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getExact

    public boolean getExact()

### getLocation

    public String getLocation()

### getVersion

    public String getVersion()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.